package env;

import org.objectweb.telosys.common.TelosysException;
import org.objectweb.telosys.common.View;
import org.objectweb.telosys.screen.env.ScreenSession;
import org.objectweb.telosys.service.ServiceRequest;
import org.objectweb.telosys.service.ServiceResponse;
import org.objectweb.telosys.service.StandardScreenService;

/**
 * @author Laurent GUERIN
 * 
 * Service for server testing 
 */
public class PingService extends StandardScreenService
{
	/*
	 * (non-Javadoc)
	 * 
	 * @see org.objectweb.telosys.service.ScreenService#execute(org.objectweb.telosys.screen.env.ScreenSession,
	 *      org.objectweb.telosys.service.ServiceRequest,
	 *      org.objectweb.telosys.service.ServiceResponse)
	 */
	public View execute(ScreenSession screenSession,
			ServiceRequest serviceRequest, ServiceResponse serviceResponse)
			throws TelosysException 
	{
		//--- Set a response value
		serviceResponse.setValue("status", "Ping OK (service server responding) ");
		
		//--- Set the response object
		//serviceResponse.setResult("Ping OK (service server responding) ");

		return null; // RPC ( AJAX call ) => no View to return
	}
}