package env;

import org.objectweb.telosys.service.StandardServiceRegistry;

/**
 * Telosys Services Registry 
 *  
 */
public class ServiceRegistry extends StandardServiceRegistry
{
    /**
     *  
     */
    public ServiceRegistry()
    {        
        super();
        initRegistry();
        
        // define the packages for dynamic service search 
        registerServicePackage("demo.service" );        
    }

    /**
     * Initialize the registry with all the services of the application
     */
    public void initRegistry()
    {
    	// Register your services here
        // Parameters :
        //       Name,      Class,     Renderer,    SessionKey
    	register("ping",          PingService.class, null, null );
    	
    	// Examples :
    	// register("Add",          Add.class, null, null );
    	// register("L001",         L001.class, "renderer/L001.jsp", null );
    	// register("L002",         L002.class, "renderer/L001.jsp", Const.SVC_L002_RESULT );        
    }
}